## jxtray.connection
Class JxtConnectionParam

    java.lang.Object
      jxtray.connection.JxtConnectionParam

public class JxtConnectionParam
extends java.lang.Object

Constructor Summary
`JxtConnectionParam()`

Method Summary
`java.lang.String` `getHost()`
`java.lang.String` `getJdbcurl()`
`java.lang.String` `getLogin()`
`java.lang.String` `getName()`
`java.lang.String` `getPassword()`
`boolean` `isConnected()`
`boolean` `isPasswordPrompt()`
`void` `setConnected(boolean connected)`
`void` `setHost(java.lang.String host)`
`void` `setJdbcurl(java.lang.String jdbcurl)`
`void` `setLogin(java.lang.String login)`
`void` `setName(java.lang.String name)`
`void` `setPassword(java.lang.String password)`
`void` `setPasswordPrompt(boolean pwprompt)`
`void` `setPasswordPrompt(java.lang.String pwprompt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JxtConnectionParam

    public JxtConnectionParam()

Method Detail

### isConnected

    public boolean isConnected()

  Returns:
    boolean

### setConnected

    public void setConnected(boolean connected)

  Parameters:
    `connected` -

### setPasswordPrompt

    public void setPasswordPrompt(boolean pwprompt)

  Parameters:
    `pwprompt` -

### setPasswordPrompt

    public void setPasswordPrompt(java.lang.String pwprompt)

  Parameters:
    `pwprompt` -

### isPasswordPrompt

    public boolean isPasswordPrompt()

  Returns:
    boolean

### getLogin

    public java.lang.String getLogin()

  Returns:
    String

### setLogin

    public void setLogin(java.lang.String login)

  Parameters:
    `login` -

### getName

    public java.lang.String getName()

  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### getPassword

    public java.lang.String getPassword()

  Returns:
    String

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` -

### getHost

    public java.lang.String getHost()

  Returns:
    String

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` -

### getJdbcurl

    public java.lang.String getJdbcurl()

  Returns:
    String

### setJdbcurl

    public void setJdbcurl(java.lang.String jdbcurl)

  Parameters:
    `jdbcurl` - void